org.eclipse.net4j.db.ddl.delta

## Interface IDBDeltaWithPosition

- All Superinterfaces:
    java.lang.Comparable<IDBDelta>, IContainer<IDBDelta>, IDBDelta, IDBDeltaWithProperties, IDBElement, IDBNamedElement, INotifier, PositionProvider
  All Known Subinterfaces:
    IDBFieldDelta, IDBIndexFieldDelta

      public interface IDBDeltaWithPosition
      extends IDBDeltaWithProperties, PositionProvider

  Since:
    4.2
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDelta

      `IDBDelta.ChangeKind, IDBDelta.DeltaType`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `POSITION_PROPERTY`

  - ### Method Summary

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDeltaWithProperties

      `getPropertyDelta, getPropertyDeltas, getPropertyDeltasSortedByName, getPropertyValue, getPropertyValue`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDelta

      `accept, getChangeKind, getDeltaType, getParent, getSchemaElement`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBNamedElement

      `getName`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

      `getProperties`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.PositionProvider

      `getPosition`

- - ### Field Detail

    - #### POSITION_PROPERTY

          static final java.lang.String POSITION_PROPERTY

      See Also:
        Constant Field Values

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html